org.apache.storm.cassandra.query.impl

## Class BoundCQLStatementTupleMapper

- java.lang.Object
- - org.apache.storm.cassandra.query.impl.BoundCQLStatementTupleMapper

- All Implemented Interfaces:
    Serializable, CQLStatementTupleMapper

      public class BoundCQLStatementTupleMapper
      extends Object
      implements CQLStatementTupleMapper

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.storm.cassandra.query.CQLStatementTupleMapper

      `CQLStatementTupleMapper.DynamicCQLStatementTupleMapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundCQLStatementTupleMapper(ContextQuery contextQuery, CqlMapper mapper, RoutingKeyGenerator rkGenerator, PreparedStatementBinder binder)` Creates a new `BoundCQLStatementTupleMapper` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<com.datastax.driver.core.Statement>` | `map(Map<String,Object> config, com.datastax.driver.core.Session session, ITuple tuple)` Maps a given tuple to one or multiple CQL statements.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoundCQLStatementTupleMapper

          public BoundCQLStatementTupleMapper(ContextQuery contextQuery,
                                              CqlMapper mapper,
                                              RoutingKeyGenerator rkGenerator,
                                              PreparedStatementBinder binder)

      Creates a new `BoundCQLStatementTupleMapper` instance.

  - ### Method Detail

    - #### map

          public List<com.datastax.driver.core.Statement> map(Map<String,Object> config,
                                                              com.datastax.driver.core.Session session,
                                                              ITuple tuple)

      Maps a given tuple to one or multiple CQL statements.

      Specified by:
        `map` in interface `CQLStatementTupleMapper`
      Parameters:
        `config` - the storm configuration map.
        `session` - the cassandra session.
        `tuple` - the incoming tuple to map.
      Returns:
        a list of `Statement`.

Copyright © 2021 The Apache Software Foundation. All rights reserved.